Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.xensource.xenapi
Class SM.Record

    java.lang.Object
      com.xensource.xenapi.SM.Record

All Implemented Interfaces:
  Types.Record

Enclosing class:
  SM

    public static class SM.Record

extends Object
implements Types.Record

Represents all the fields in a SM

Field Summary
`Set<String>` | `capabilities` capabilities of the SM plugin
`Map<String,String>` | `configuration` names and descriptions of device config keys
`String` | `copyright` Entity which owns the copyright of this plugin
`String` | `driverFilename` filename of the storage driver
`Map<String,Long>` | `features` capabilities of the SM plugin, with capability version numbers
`String` | `nameDescription` a notes field containing human-readable description
`String` | `nameLabel` a human-readable name
`Map<String,String>` | `otherConfig` additional configuration
`String` | `requiredApiVersion` Minimum SM API version required on the server
`String` | `type` SR.type
`String` | `uuid` Unique identifier/object reference
`String` | `vendor` Vendor who created this plugin
`String` | `version` Version of the plugin

Constructor Summary
`SM.Record()`

Method Summary
`Map<String,Object>` | `toMap()` Convert a SM.Record to a Map
`String` | `toString()`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Field Detail

### uuid

    public String uuid

  Unique identifier/object reference

### nameLabel

    public String nameLabel

  a human-readable name

### nameDescription

    public String nameDescription

  a notes field containing human-readable description

### type

    public String type

  SR.type

### vendor

    public String vendor

  Vendor who created this plugin

### copyright

    public String copyright

  Entity which owns the copyright of this plugin

### version

    public String version

  Version of the plugin

### requiredApiVersion

    public String requiredApiVersion

  Minimum SM API version required on the server

### configuration

    public Map<String,String> configuration

  names and descriptions of device config keys

### capabilities

    public Set<String> capabilities

  capabilities of the SM plugin

### features

    public Map<String,Long> features

  capabilities of the SM plugin, with capability version numbers

### otherConfig

    public Map<String,String> otherConfig

  additional configuration

### driverFilename

    public String driverFilename

  filename of the storage driver

Constructor Detail

### SM.Record

    public SM.Record()

Method Detail

### toString

    public String toString()

  Overrides:
    `toString` in class `Object`

### toMap

    public Map<String,Object> toMap()

  Convert a SM.Record to a Map

  Specified by:
    `toMap` in interface `Types.Record`

Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD